# -*- encoding: utf-8 -*-

##############################################################################
#
# Copyright (c) 2010 E.Samyn - info@open-shift.com
# Author: E.Samyn
#
# This file is part of the hr_mission module
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; 
# If not, see <http://www.gnu.org/licenses/> or  write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################
from osv import fields, osv

class hr_employee(osv.osv):
	_name = "hr.employee"
	_description = "Employees' missions"
	_inherit = "hr.employee"
	_columns = {'in_mission' : fields.boolean('In mission'),
				'missions_ids' : fields.one2many('hr.mission', 'employee_id', 'Missions')}

hr_employee()

class hr_mission(osv.osv):
	_name = 'hr.mission'
	_description = 'Mission object'
	_columns = {
		'employee_id' : fields.many2one('hr.employee', 'Employee',ondelete='cascade'),
		'name' : fields.char('Mission label',size=80,required=True),
		'mission_objective' : fields.text('Objective'),
		'mission_start_date' : fields.date("Start date"),
		'mission_end_date' : fields.date("End date"),
		'mission_partner' : fields.many2one('res.partner', 'Mission partner'),
		'mission_location' : fields.many2one('res.partner.address', 'Partner mission location'),
#		'mission_project' : fields.many2one('hr.employee', 'Employee'),
		'mission_partner_manager': fields.char('Partner mission manager', size=60),
		'mission_email' : fields.char('Mission email', size=60),
		'mission_tel' : fields.char('Mission phone', size=60),		
		'mission_last_eval_date' : fields.date("Last evaluation"),
		'mission_next_eval_date' : fields.date("Next evaluation"),
		'mission_evaluation' : fields.text('Evaluation'),
		'mission_notes' : fields.text('Notes'),
	}
hr_mission()